# OffsetInFileLocation

@Incubating
interface OffsetInFileLocation : FileLocation

A basic location pointing to a specific part of a file using a global offset and length for coordinates.

The coordinates are expected to be zero indexed.

#### Since

8.6

## Functions

getLength
Link copied to clipboard
abstract fun getLength(): Int
The length of the content starting from getOffset.
getOffset
Link copied to clipboard
abstract fun getOffset(): Int
The global offset from the beginning of the file.
getPath
Link copied to clipboard
abstract fun getPath(): String